************************
************************
******* DO FILE ********
*** Klein & Tokdemir ***
** Domestic Diversion **
******** CMPS **********


********************************************
****** TABLES & FIGURES IN MANUSCRIPT ******
********************************************


// TABLE 1 //

* Model 1 *
oprobit DomesticDiversion Unemployment orglevel if Year>1997, cluster(numcode)


* Model 2 * 
oprobit DomesticDiversion Unemployment orglevel NumberOfGroups poldis econ_differential usingpolity lrexclpop PHYSINT lngdppercap Youth_Bulge war2 DomesticDiversion_lag if Year>1997, cluster(numcode)


* Model 3 * 
oprobit DomesticDiversion Unemployment orglevel Unemploy_Orglevel NumberOfGroups poldis econ_differential usingpolity lrexclpop PHYSINT lngdppercap Youth_Bulge war2 DomesticDiversion_lag if Year>1997, cluster(numcode)


// FIGURES 1 & 2 //

oprobit DomesticDiversion Unemployment orglevel Unemploy_Orglevel NumberOfGroups poldis econ_differential usingpolity lrexclpop PHYSINT lngdppercap Youth_Bulge war2 DomesticDiversion_lag if Year>1997, cluster(numcode)
sum DomesticDiversion Unemployment orglevel Unemploy_Orglevel NumberOfGroups poldis econ_differential usingpolity lrexclpop PHYSINT lngdppercap Youth_Bulge war2 DomesticDiversion_lag if e(sample)
sum Unemployment if e(sample), detail
sum Unemploy_Orglevel if e(sample), detail

clear all
set obs 500
range Unemployment 0.6 36.7 100
gen orglevel = 1
gen Unemploy_Orglevel = 1*Unemployment
gen NumberOfGroups = 4
gen poldis = 1.76	
gen econ_differential = 4.86
gen usingpolity = 13
gen lrexclpop = 2.46
gen PHYSINT = 4
gen lngdppercap = 1.30
gen Youth_Bulge = .288
gen war2 = 0
gen DomesticDiversion_lag = 3

save "/Users/Graig/Google Drive/Domestic Diversion/Updated Do:Data Files/outofsample2.dta", replace
use "/Users/Graig/Google Drive/Domestic Diversion/CMPS R&R Submission/CMPS Data File Submission.dta"
recode DomesticDiversion(0 = 0) (1 2 3=1) (4 5 6=2) (7 8 9=3) (10 11 12=4)
oprobit DomesticDiversion Unemployment orglevel Unemploy_Orglevel NumberOfGroups poldis econ_differential usingpolity lrexclpop PHYSINT lngdppercap Youth_Bulge war2 DomesticDiversion_lag if Year>1997, cluster(numcode)

use "/Users/Graig/Google Drive/Domestic Diversion/Updated Do:Data Files/outofsample2.dta",clear
predict score1, xb
predict se1, stdp
predict p1, p
gen pse1=p1*(1-p1)*se1

gen p14 = 1-1/(1+exp(score1-_b[/cut4]))   
gen lb14 = 1-1/(1+exp((score1-_b[/cut4])-1.96*pse1))
gen ub14 = 1-1/(1+exp((score1-_b[/cut4])+1.96*pse1))

gen p13 = 1/(1+exp(score1-_b[/cut4])) - 1/(1+exp(score1-_b[/cut3]))
gen lb13 = 1/(1+exp((score1-_b[/cut4])-1.96*pse1)) - 1/(1+exp((score1-_b[/cut3])-1.96*pse1))
gen ub13 = 1/(1+exp((score1-_b[/cut4])+1.96*pse1)) - 1/(1+exp((score1-_b[/cut3])+1.96*pse1))

gen p12 = 1/(1+exp(score1-_b[/cut3])) - 1/(1+exp(score1-_b[/cut2]))
gen lb12 = 1/(1+exp((score1-_b[/cut3])-1.96*pse1)) - 1/(1+exp((score1-_b[/cut2])-1.96*pse1))
gen ub12 = 1/(1+exp((score1-_b[/cut3])+1.96*pse1)) - 1/(1+exp((score1-_b[/cut2])+1.96*pse1))

gen p11 = 1/(1+exp(score1-_b[/cut2])) - 1/(1+exp(score1-_b[/cut1]))
gen lb11 = 1/(1+exp((score1-_b[/cut2])-1.96*pse1)) - 1/(1+exp((score1-_b[/cut1])-1.96*pse1))
gen ub11 = 1/(1+exp((score1-_b[/cut2])+1.96*pse1)) - 1/(1+exp((score1-_b[/cut1])+1.96*pse1))

gen p10 = 1/(1+exp(score1-_b[/cut1]))
gen lb10 = 1/(1+exp((score1-_b[/cut1])-1.96*pse1))
gen ub10 = 1/(1+exp((score1-_b[/cut1])+1.96*pse1))

****************************************************
****************************************************


drop orglevel Unemploy_Orglevel 
gen orglevel=2
gen Unemploy_Orglevel = 2*Unemployment
predict score2, xb
predict se2, stdp
predict p2, p
gen pse2=p2*(1-p2)*se2

gen p24 = 1-1/(1+exp(score2-_b[/cut4]))   
gen lb24 = 1-1/(1+exp((score2-_b[/cut4])-1.96*pse2))
gen ub24 = 1-1/(1+exp((score2-_b[/cut4])+1.96*pse2))

gen p23 = 1/(1+exp(score2-_b[/cut4])) - 1/(1+exp(score2-_b[/cut3]))
gen lb23 = 1/(1+exp((score2-_b[/cut4])-1.96*pse2)) - 1/(1+exp((score2-_b[/cut3])-1.96*pse2))
gen ub23 = 1/(1+exp((score2-_b[/cut4])+1.96*pse2)) - 1/(1+exp((score2-_b[/cut3])+1.96*pse2))

gen p22 = 1/(1+exp(score2-_b[/cut3])) - 1/(1+exp(score2-_b[/cut2]))
gen lb22 = 1/(1+exp((score2-_b[/cut3])-1.96*pse2)) - 1/(1+exp((score2-_b[/cut2])-1.96*pse2))
gen ub22 = 1/(1+exp((score2-_b[/cut3])+1.96*pse2)) - 1/(1+exp((score2-_b[/cut2])+1.96*pse2))

gen p21 = 1/(1+exp(score2-_b[/cut2])) - 1/(1+exp(score2-_b[/cut1]))
gen lb21 = 1/(1+exp((score2-_b[/cut2])-1.96*pse2)) - 1/(1+exp((score2-_b[/cut1])-1.96*pse2))
gen ub21 = 1/(1+exp((score2-_b[/cut2])+1.96*pse2)) - 1/(1+exp((score2-_b[/cut1])+1.96*pse2))

gen p20 = 1/(1+exp(score2-_b[/cut1]))
gen lb20 = 1/(1+exp((score2-_b[/cut1])-1.96*pse2))
gen ub20 = 1/(1+exp((score2-_b[/cut1])+1.96*pse2))

****************************************************
****************************************************

drop orglevel Unemploy_Orglevel
gen orglevel=5
gen Unemploy_Orglevel = 5*Unemployment
predict score5, xb
predict se5, stdp
predict p5, p
gen pse5=p5*(1-p5)*se5

gen p54 = 1-1/(1+exp(score5-_b[/cut4]))   
gen lb54 = 1-1/(1+exp((score5-_b[/cut4])-1.96*pse5))
gen ub54 = 1-1/(1+exp((score5-_b[/cut4])+1.96*pse5))

gen p53 = 1/(1+exp(score5-_b[/cut4])) - 1/(1+exp(score5-_b[/cut3]))
gen lb53 = 1/(1+exp((score5-_b[/cut4])-1.96*pse5)) - 1/(1+exp((score5-_b[/cut3])-1.96*pse5))
gen ub53 = 1/(1+exp((score5-_b[/cut4])+1.96*pse5)) - 1/(1+exp((score5-_b[/cut3])+1.96*pse5))

gen p52 = 1/(1+exp(score5-_b[/cut3])) - 1/(1+exp(score5-_b[/cut2]))
gen lb52 = 1/(1+exp((score5-_b[/cut3])-1.96*pse5)) - 1/(1+exp((score5-_b[/cut2])-1.96*pse5))
gen ub52 = 1/(1+exp((score5-_b[/cut3])+1.96*pse5)) - 1/(1+exp((score5-_b[/cut2])+1.96*pse5))

gen p51 = 1/(1+exp(score5-_b[/cut2])) - 1/(1+exp(score5-_b[/cut1]))
gen lb51 = 1/(1+exp((score5-_b[/cut2])-1.96*pse5)) - 1/(1+exp((score5-_b[/cut1])-1.96*pse5))
gen ub51 = 1/(1+exp((score5-_b[/cut2])+1.96*pse5)) - 1/(1+exp((score5-_b[/cut1])+1.96*pse5))

gen p50 = 1/(1+exp(score5-_b[/cut1]))
gen lb50 = 1/(1+exp((score5-_b[/cut1])-1.96*pse5))
gen ub50 = 1/(1+exp((score5-_b[/cut1])+1.96*pse5))

twoway (rarea lb10 ub10 Unemployment) (rarea lb20 ub20 Unemployment) (rarea lb50 ub50 Unemployment) (line p10 p20 p50 Unemployment), ytitle("Predicted Probability", size(vsmall)) xtitle("Unemployment", size(vsmall)) graphregion(fcolor(white)) title("No Coercion", size(small)) ylabel(0(0.1)1.0, angle(horizontal) labs(vsmall)) name(graph1, replace)
twoway (rarea lb11 ub11 Unemployment) (rarea lb21 ub21 Unemployment) (rarea lb51 ub51 Unemployment) (line p11 p21 p51 Unemployment), ytitle("Predicted Probability", size(vsmall)) xtitle("Unemployment", size(vsmall)) graphregion(fcolor(white)) title("Non-Violent Coercion", size(small)) ylabel(0(0.05)0.25, angle(horizontal) labs(vsmall)) name(graph2, replace)
twoway (rarea lb12 ub12 Unemployment) (rarea lb22 ub22 Unemployment) (rarea lb52 ub52 Unemployment) (line p12 p22 p52 Unemployment), ytitle("Predicted Probability", size(vsmall)) xtitle("Unemployment", size(vsmall)) graphregion(fcolor(white)) title("Non-Lethal Coercion", size(small)) ylabel(0(0.05)0.25, angle(horizontal) labs(vsmall)) name(graph3, replace)
twoway (rarea lb13 ub13 Unemployment) (rarea lb23 ub23 Unemployment) (rarea lb53 ub53 Unemployment) (line p13 p23 p53 Unemployment), ytitle("Predicted Probability", size(vsmall)) xtitle("Unemployment", size(vsmall)) graphregion(fcolor(white)) title("Lethal Coercion", size(small)) ylabel(0(0.05)0.25, angle(horizontal) labs(vsmall)) name(graph4, replace)
twoway (rarea lb14 ub14 Unemployment) (rarea lb24 ub24 Unemployment) (rarea lb54 ub54 Unemployment) (line p14 p24 p54 Unemployment), ytitle("Predicted Probability", size(vsmall)) xtitle("Unemployment", size(vsmall)) graphregion(fcolor(white)) title("Militarized Coercion", size(small)) ylabel(0(0.1)1.0, angle(horizontal) labs(vsmall)) name(graph5, replace)

****************************************************
****************************************************

// FIGURE 1//
grc1leg graph1 graph5, legendfrom(graph5)

// FIGURE 2//
grc1leg graph2 graph3 graph4, legendfrom(graph2)


****************************************************
****************************************************
****************************************************
****************************************************


** RELOAD ORIGINAL DATASET FROM CMPS WEBSITE **


// TABLE 2 //

* Model 4 *
ologit DomesticDiversion Unemployment orglevel Unemploy_Orglevel NumberOfGroups poldis econ_differential usingpolity lrexclpop PHYSINT lngdppercap Youth_Bulge war2 DomesticDiversion_lag if presidential_election==1 & Year>1997, cluster(numcode)


* Model  5 * 
ologit DomesticDiversion Unemployment orglevel Unemploy_Orglevel NumberOfGroups poldis econ_differential usingpolity lrexclpop PHYSINT lngdppercap Youth_Bulge war2 DomesticDiversion_lag if legislative_election==1 & Year>1997, cluster(numcode)


* Model  6 * 
ologit DomesticDiversion Unemployment orglevel Unemploy_Orglevel NumberOfGroups poldis econ_differential usingpolity lrexclpop PHYSINT lngdppercap Youth_Bulge war2 DomesticDiversion_lag if electionyear==1 & Year>1997, cluster(numcode)


// TABLE 3 //

* Model 7 *
goprobit DomesticDiversion_rescaled Unemployment orglevel Unemploy_Orglevel NumberOfGroups poldis econ_differential usingpolity lrexclpop PHYSINT lngdppercap Youth_Bulge war2 DomesticDiversion_rescaled_lag if Year>1997, cluster(numcode)



// TABLE 4 //

*Model 8 *
oprobit DomesticDiversion unemploy_diff orglevel NumberOfGroups poldis econ_differential usingpolity lrexclpop PHYSINT lngdppercap Youth_Bulge war2 DomesticDiversion_lag if Year>1997, cluster(numcode)


*Model 9*
oprobit DomesticDiversion unemploy_diff orglevel unemploy_diff_orglevel NumberOfGroups poldis econ_differential usingpolity lrexclpop PHYSINT lngdppercap Youth_Bulge war2 DomesticDiversion_lag if Year>1997, cluster(numcode)


* Model 10 * 
oprobit DomesticDiversion exchange_diff orglevel NumberOfGroups poldis econ_differential usingpolity lrexclpop PHYSINT lngdppercap Youth_Bulge war2 DomesticDiversion_lag if Year>1997, cluster(numcode)


* Model 11 * 
oprobit DomesticDiversion exchange_diff orglevel exchange_diff_org NumberOfGroups poldis econ_differential usingpolity lrexclpop PHYSINT lngdppercap Youth_Bulge war2 DomesticDiversion_lag if Year>1997, cluster(numcode)


****************************************************
****************************************************
****************************************************

************** ONLINE APPENDIX TABLES **************

****************************************************
****************************************************
****************************************************


// TABLE A1 //
// Terror & Terrain //

* Model 12 * 
oprobit DomesticDiversion Unemployment orglevel Unemploy_Orglevel NumberOfGroups poldis econ_differential usingpolity lrexclpop PHYSINT lngdppercap Youth_Bulge war2 DomesticDiversion_lag logarea lmtnest if Year>1997, cluster(numcode)


* Model 13 * 
oprobit DomesticDiversion Unemployment orglevel Unemploy_Orglevel NumberOfGroups poldis econ_differential usingpolity lrexclpop PHYSINT lngdppercap Youth_Bulge war2 DomesticDiversion_lag GTDDomestic if Year>1997, cluster(numcode)


* Model 14 * 
oprobit DomesticDiversion Unemployment orglevel Unemploy_Orglevel NumberOfGroups poldis econ_differential usingpolity lrexclpop PHYSINT lngdppercap Youth_Bulge war2 DomesticDiversion_lag lmtnest logarea GTDDomestic if Year>1997, cluster(numcode)


// TABLE A2 //
sum DomesticDiversion Unemployment orglevel Unemploy_Orglevel NumberOfGroups poldis econ_differential usingpolity lrexclpop PHYSINT lngdppercap Youth_Bulge war2 DomesticDiversion_lag presidential_election legislative_election electionyear lmtnest logarea GTDDomestic if Year>1997


// TABLE A3 //
// Hypotheses Tests //

oprobit DomesticDiversion Unemployment orglevel Unemploy_Orglevel NumberOfGroups poldis econ_differential usingpolity lrexclpop PHYSINT lngdppercap Youth_Bulge war2 DomesticDiversion_lag if Year>1997, cluster(numcode)

sum Unemployment if e(sample), detail
test Unemployment=0 
test orglevel=0
test Unemploy_Orglevel=0
test Unemployment=orglevel=Unemploy_Orglevel==0

ttest Unemployment==orglevel if e(sample), level(99)
ttest Unemployment==Unemploy_Orglevel if e(sample), level(99)
ttest orglevel==Unemploy_Orglevel if e(sample), level(99)


// TABLE A4 //
// Likelihood-Ratio Test //

gologit2 DomesticDiversion Unemployment orglevel Unemploy_Orglevel NumberOfGroups poldis econ_differential usingpolity lrexclpop PHYSINT lngdppercap Youth_Bulge war2 DomesticDiversion_lag if Year>1997, pl lrforce store(constrained) 
gologit2 DomesticDiversion Unemployment orglevel Unemploy_Orglevel NumberOfGroups poldis econ_differential usingpolity lrexclpop PHYSINT lngdppercap Youth_Bulge war2 DomesticDiversion_lag if Year>1997, npl lrforce store(unconstrained) 
lrtest constrained unconstrained 


// TABLE A5 //
// Rescaled Generalized Ordered Probit //

goprobit DomesticDiversion_rescaled Unemployment orglevel Unemploy_Orglevel NumberOfGroups poldis econ_differential usingpolity lrexclpop PHYSINT lngdppercap Youth_Bulge war2 DomesticDiversion_rescaled_lag if Year>1997, cluster(numcode)


// TABLE A6 //
// Ordered Logit //

*Model 15 *
ologit DomesticDiversion Unemployment orglevel, cluster(numcode)


* Model 16 * 
ologit DomesticDiversion Unemployment orglevel NumberOfGroups poldis econ_differential usingpolity lrexclpop PHYSINT lngdppercap Youth_Bulge war2 DomesticDiversion_lag if Year>1997, cluster(numcode)


* Model 17 * 
ologit DomesticDiversion Unemployment orglevel Unemploy_Orglevel NumberOfGroups poldis econ_differential usingpolity lrexclpop PHYSINT lngdppercap Youth_Bulge war2 DomesticDiversion_lag if Year>1997, cluster(numcode)


// TABLE A7 //
// Election Cycle Ordered Logit //

* Model  18 * 
ologit DomesticDiversion Unemployment orglevel Unemploy_Orglevel NumberOfGroups poldis econ_differential usingpolity lrexclpop PHYSINT lngdppercap Youth_Bulge war2 DomesticDiversion_lag if presidential_election==1 & Year>1997, cluster(numcode)


* Model  19 * 
ologit DomesticDiversion Unemployment orglevel Unemploy_Orglevel NumberOfGroups poldis econ_differential usingpolity lrexclpop PHYSINT lngdppercap Youth_Bulge war2 DomesticDiversion_lag if legislative_election==1 & Year>1997, cluster(numcode)


* Model  20 * 
ologit DomesticDiversion Unemployment orglevel Unemploy_Orglevel NumberOfGroups poldis econ_differential usingpolity lrexclpop PHYSINT lngdppercap Youth_Bulge war2 DomesticDiversion_lag if electionyear==1 & Year>1997, cluster(numcode)


// TABLE A8 //
// Generalized Ordered Logit //

** Model 21 **
gologit2 DomesticDiversion_rescaled Unemployment orglevel Unemploy_Orglevel NumberOfGroups poldis econ_differential usingpolity lrexclpop PHYSINT lngdppercap Youth_Bulge war2 DomesticDiversion_rescaled_lag if Year>1997, autofit lrforce cluster(numcode) v1 


// TABLE A9 //
// Including Minority Mobilization (t-1) //

* Model 22 *
oprobit DomesticDiversion Unemployment orglevel Unemploy_Orglevel NumberOfGroups poldis econ_differential usingpolity lrexclpop PHYSINT lngdppercap Youth_Bulge war2 DomesticDiversion_lag orglevel_lag if Year>1997, cluster(numcode)
